[dependencies]
slog = "2.8.2"
termcolor = "1.4.1"
ansi_colours = "1.2.3"
crossterm = "0.29.0"
image = "0.25.9"
imageproc = "0.25.0"
include-flate = "0.3.1"
ab_glyph = "0.2.32"
vte = "0.15.0"
lazy_static = "1.5.0"
slog-term = "2.9.2"
slog-async = "2.8.0"
nu-plugin = "0.109.1"
nu-protocol = "0.109.1"

[dependencies.clap]
features = ["derive"]
version = "4.5.53"

[features]
all-fonts = [
    "font-iosevka_term",
    "font-anonymous_pro",
    "font-ubuntu",
]
default = []
font-anonymous_pro = []
font-iosevka_term = []
font-ubuntu = []
with-debug = [
    "slog/max_level_debug",
    "slog/release_max_level_debug",
]
with-trace = [
    "slog/max_level_trace",
    "slog/release_max_level_trace",
]

[package]
authors = ["Motalleb Fallahnezhad <fmotalleb@gmail.com>"]
description = "A nushell plugin to open png images in the shell and save ansi string as images (like tables or ...)"
edition = "2024"
homepage = "https://github.com/FMotalleb/nu_plugin_image"
keywords = [
    "nushell",
    "image",
    "render",
    "plugin",
]
license = "MIT"
name = "nu_plugin_image"
readme = "README.md"
repository = "https://github.com/FMotalleb/nu_plugin_image"
version = "0.109.1"
